Subject: bug#25385: 24.5; `shr-next-link' wrong-type-argument error

From: Drew Adams <[email-masked]>
Date: Sat, 7 Jan 2017 09:01:09 -0800 (PST)

Apologies if this doesn't help at all - please close it in that case.

I don't use EWW, but I used it very briefly, and got this when I hit
`TAB' near the end of the buffer:

Debugger entered--Lisp error: (wrong-type-argument integer-or-marker-p nil)
  text-property-not-all(nil 423 help-echo nil)
  shr-next-link()
  call-interactively(shr-next-link nil nil)
  command-execute(shr-next-link)

Presumably a more user-friendly error should be raised if there are no
more links to navigate to.

In GNU Emacs 24.5.1 (i686-pc-mingw32)
 of 2015-04-11 on LEG570
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix=/c/usr --host=i686-pc-mingw32'